YUM-CONFIG-MANAGER(1)

NOM
yum-config-manager – Redirection vers le greffon config-manager de DNF

Ce programme gère les options de configuration principales et les dépôts DNF, active ou désactive des dépôts et ajoute de nouveaux dépôts.

SYNOPSIS

dnf config-manager [options] section ...

ARGUMENTS

    <section>
        Cet argument peut être utilisé pour sélectionner explicitement les sections de configuration à gérer. Une section peut être soit main, soit un identifiant de dépôt. S’il n’est pas indiqué, le programme choisira la section main et chaque identifiant de dépôt utilisé dans toute option --setopt. Un identifiant de dépôt peut être indiqué en utilisant des motifs génériques d'expansion.

OPTIONS

Toutes les options générales de DNF sont acceptées ; voir Options dans dnf(8) pour les détails.

    --help-cmd
        Afficher l'aide mémoire.

    --add-repo=URL
        Ajouter (et activer) le dépôt à partir du fichier ou de l’URL indiqué. S’il doit être ajouté dans installroot, il faut le combiner avec l’option de ligne de commande --setopt=rép_dépôts=racine_install/etc/yum.repos.d.

    --dump
        Afficher une copie des valeurs actuelles de configuration sur la sortie standard.

    --set-disabled, --disable
        Désactiver le dépôt indiqué (--save impliqué).

    --set-enabled, --enable
        Activer le dépôt indiqué (--save impliqué).

    --save
        Sauvegarder les options actuelles (utile avec --setopt).

    --setopt=<option>=<valeur>
        Régler une option de configuration. Pour régler des options de configuration pour des dépôts, il faut utiliser ID_dépôt.option pour l’option. Les motifs génériques d'expansion sont pris en charge pour ID_dépôt.

ATTENTION :
        config-manager peut mal réagir lors de l’activation ou désactivation de dépôts générés avec des outils tels que subscription-manager pour RHEL. Dans ce cas, subscription-manager doit être utilisé pour réaliser de telles actions.

EXEMPLES

    dnf config-manager --add-repo http://example.com/depot_supplementaire.repo
        Télécharger depot_supplementaire.repo et le stocker dans ID_dépôt.

    dnf config-manager --add-repo http://example.com/different/depot
        Créer un nouveau fichier de dépôt avec http://example.com/different/depot comme URL de base et l’activer.

    dnf config-manager --dump
        Afficher les informations principales de DNF.

    dnf config-manager --dump section
        Afficher la configuration d’un dépôt identifié par section.

    dnf config-manager --set-enabled ID_dépôt
        Activer le dépôt identifié par ID_dépôt et rendre les modifications permanentes.

    dnf config-manager --set-disabled ID_dépôt1 ID_dépôt2
        Désactiver les dépôts identifiés par ID_dépôt1 et ID_dépôt2.

    dnf config-manager --set-disabled ID_dépôt1,ID_dépôt2
        Désactiver les dépôts identifiés par ID_dépôt1 et ID_dépôt2.

    dnf config-manager --save --setopt=*.proxy=http://proxy.example.com:3128/ ID_dépôt1 ID_dépôt2
        Mettre à jour les réglages de mandataire dans les dépôts pour ID_dépôt1 et ID_dépôt2 et rendre les modifications permanentes.

    dnf config-manager --save --setopt=*-debuginfo.gpgcheck=0
        Désactiver la vérification de signature GPG (gpgcheck) dans tous les dépôts dont l’identifiant finit par -debuginfo et rendre les modifications permanentes.

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNF.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.